- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cWatchBase Class Reference
[Internal classes]

`#include <cwatch.h>`

Inheritance diagram for cWatchBase:

List of all members.

## Detailed Description

Utility class to make primitive types and non-cObject objects inspectable in Tkenv.

To be used only via the WATCH, WATCH_PTR, WATCH_OBJ, WATCH_VECTOR etc macros.

## Public Member Functions
Constructors, destructor, assignment
| cWatchBase (const char *name)
| cWatchBase (const cWatchBase &v)
cWatchBase & | operator= (const cWatchBase &)
virtual cPolymorphic * | dup () const
New methods
virtual bool | supportsAssignment () const =0
virtual void | assign (const char *s)

## Constructor & Destructor Documentation

cWatchBase::cWatchBase | ( | const char * | name | ) | `[inline]`

| Initialize the shell to hold the given variable.

cWatchBase::cWatchBase | ( | const cWatchBase & | v | ) | `[inline]`

| Copy constructor not supported: it will raise an error via dup().

## Member Function Documentation

virtual void cWatchBase::assign | ( | const char * | s | ) | `[inline, virtual]`

| Changes the watched variable's value. May only be called if supportsAssignment() returns true. Reimplemented in cGenericAssignableWatch< T >, cWatch_bool, cWatch_char, cWatch_uchar, and cWatch_stdstring.

virtual cPolymorphic* cWatchBase::dup | ( |  | ) | const`[inline, virtual]`

| dup() not supported: it will raise an error. Reimplemented from cObject.

cWatchBase& cWatchBase::operator= | ( | const cWatchBase & |  | ) | `[inline]`

| Assignment not supported: it will raise an error.

virtual bool cWatchBase::supportsAssignment | ( |  | ) | const`[pure virtual]`

| Tells if changing the variable's value via assign() is supported. Implemented in cGenericReadonlyWatch< T >, cGenericAssignableWatch< T >, cWatch_bool, cWatch_char, cWatch_uchar, cWatch_stdstring, cWatch_cPolymorphic, and cWatch_cPolymorphicPtr.

The documentation for this class was generated from the following file:

- cwatch.h